{$A+,B-,D+,E-,F-,I+,L+,N-,O-,R-,S-,V-}
{$M 1024,5120,5120}
Program RemovePopUpDice;

{ This is the companion program to POPDICE.  This short program removes }
{ the resident program from memory if it is loaded and if it is safe to }
{ do so.                                                                }

Uses Unhook;

Const
  Name = 'POPDICE';
  Signature = 'PopDice';
  IdNumber = $89; { This value MUST be the same as the resident program's }

Var
 Result : UnhookResult;

Begin
  WriteLn('Attempting to remove ',Name,' from program memory.');
  Result := TryToRemove(Signature,IdNumber);
  Case Result Of
    Success  : WriteLn(Name,' successfully removed from memory.');
    NotFound : WriteLn(Name,' is not installed.');
    Unsafe   : WriteLn('Unable to remove ',Name,' from memory.');
    Else WriteLn('Unknown error occurred.  Result = ',Ord(Result));
  End;
  Halt(Ord(Result));
End.
