TITLE  Processor Query
SUBTTL Copyright (c)1988 Ross Neilson Wentworth, All Rights Reserved

.MODEL LARGE

CODE  SEGMENT
      ASSUME cs:CODE

PUBLIC   CPU

; Function cputype, for real or protected mode.  Returns the
; value 86, 186, 286, or 386; negative if protected mode.

P286

cpu      PROC      FAR

         push      sp
         pop       ax
         cmp       ax,sp
         jz        not86
         mov       ax,186
         mov       cl,32
         shl       ax,cl
         jnz       exit
         mov       ax,86
         jmp       exit
not86:
         pushf
         mov       ax,sp
         popf
         inc       ax
         inc       ax
         cmp       ax,sp
         jnz       is32bit
is16bit:
         sub       sp,6
         mov       bp,sp
         sgdt      fword ptr [bp]
         add       sp,4
         pop       ax
         inc       ah
         jnz       is386
is286:
         mov       ax,286
         jmp       testprot
is32bit:
         db        66h
is386:
         mov       ax,386
testprot:
         smsw      cx
         ror       cx,1
         jnc       exit
         neg       ax
exit:
         ret

cpu      ENDP

CODE     ENDS

END
